#!/bin/sh -

PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin
. /etc/s6-init/lib/functions.sh

op="${1:-shutdown}"

[ -r /etc/rc.conf ] && . /etc/rc.conf
detect_virt

if [ -z "$VIRTUALIZATION" ]; then
    msg "Unmounting filesystems, disabling swap..."
    swapoff -a
    umount -r -a -t nosysfs,noproc,nodevtmpfs,notmpfs
    msg "Remounting rootfs read-only..."
    mount -o remount,ro /
fi

sync

if [ -z "$VIRTUALIZATION" ]; then
    deactivate_vgs
    deactivate_crypt
    if [ x"$op" = x'reboot' ] && command -v kexec > /dev/null; then
        msg "Triggering kexec..."
        kexec -e 2> /dev/null
        # not reached when kexec was successful.
    fi
fi

msg "Triggering $op..."
exec "s6-$op"

