#!/bin/bash
set -e -x

order=(skalibs execline s6 s6-rc s6-portable-utils s6-linux-utils s6-linux-init)
confargs=(
	--enable-force-devr --prefix=/usr/local --with-include=/usr/local/include
	--with-lib=/usr/local/lib/skalibs:/usr/local/lib/execline:/usr/local/lib/s6:/usr/local/lib/s6-dns
)
makeopts=('-j2')

mkdir -p build pkg; cd build
for name in "${order[@]}"
do
	pkg="$(ls ../distfiles | sed -r -n 's/^('"$name"'-[0-9.]+)\.tar\.gz$/\1/p')"
	[[ -d "$pkg" ]] || tar xpf ../distfiles/"$pkg".tar.gz
	cd "$pkg"; ./configure "${confargs[@]}"; make "${makeopts[@]}"
	mkdir -p ../"$pkg".pkg; make install DESTDIR=../"$pkg".pkg; cd ..
	tar -C "$pkg".pkg -czpf ../pkg/"$pkg".pkg .; tar -C / -xzpf ../pkg/"$pkg".pkg
done

